import java.awt.Dimension;
import java.awt.Panel;


/**
 * This class is the basis for the controls on the WEST part of the Applet. The main panel
 * consists of a CENTER and a SOUTH panel which contain a subclass of ControlPanel on the
 * left.
 * @author B.Düring
 * @author S.Holst
 */
public class ControlPanel extends Panel
{

    public ControlPanel()
    {
    }

    public Dimension getMaximumSize()
    {
        return dims;
    }

    public Dimension getMinimumSize()
    {
        return dims;
    }

    public Dimension getPreferredSize()
    {
        return dims;
    }

    public Dimension increaseDimension(Dimension dimension)
    {
        if(dimension != null)
        {
            dims.height = Math.max(dims.height, dimension.height);
            dims.width = Math.max(dims.width, dimension.width);
        }
        return dims;
    }

    public static Dimension dims = new Dimension(100, 100);

}
